%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gst-inspector
Version:        0.4
Release:        13%{?dist}
Summary:        An introspection data viewer for the GStreamer multimedia framework

License:        GPLv3+
URL:            http://renestadler.de/projects/gst-inspector
Source0:        http://renestadler.de/files/gst-inspector/gst-inspector-%{version}.tar.gz
Source1:        gst-inspector.desktop

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Requires:       gstreamer-python >= 0.10.5
Requires:       gstreamer-plugins-good
Requires:       pygtk2 >= 2.10.0
Requires:       pygobject2 >= 2.12.3
Requires:       pygtk2-libglade
Requires:       hicolor-icon-theme

# upstream commit 1e24ba3 adapted to 0.4
Patch1:         gst-inspector-0.4-newergtk.patch

%description
GStreamer Inspector is an introspection data viewer for the GStreamer
multimedia framework. Developers of GStreamer applications can use it
to find out about the various elements available in the system.

It can be thought of as a graphical variant of the gst-inspect
program, which currently serves as the canonical source of
introspection information for many developers.


%prep
%setup -q
%patch1 -p1 -b .newergtk


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
sed -i -e 's@%{buildroot}@@' %{buildroot}%{_bindir}/gst-inspector
desktop-file-install --vendor=""                      \
        --dir=%{buildroot}%{_datadir}/applications/   \
        %{SOURCE1}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%license COPYING
%doc AUTHORS NEWS README TODO
%{_bindir}/gst-inspector
%{_datadir}/gst-inspector
%{_datadir}/applications/gst-inspector.desktop
%{_datadir}/icons/hicolor/*/apps/gst-inspector.*
%{python_sitelib}/*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-13
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 30 2015 Yanko Kaneti <yaneti@declera.com> - 0.4-10
- Remove the _isa bit because its irrelevant in a noarch build
- Modenize the spec a little

* Thu Apr 30 2015 Yanko Kaneti <yaneti@declera.com> - 0.4-9
- Add requires for gstreamer-plugins-good for (element-capsdebug) - bug 1217366

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon May 30 2011 Yanko Kaneti <yaneti@declera.com> - 0.4-3
- Add missing requires pygtk2-libglade.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec  3 2010 Yanko Kaneti <yaneti@declera.com> - 0.4-1
- Use latest upstream release 0.4.
  Adapt upstream commit 1e24ba3 to fix #532098

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3-6
- Rebuild for Python 2.6

* Mon Oct 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3-5
- Fix desktop file install on devel

* Mon Oct 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3-4
- Fix desktop file install on devel

* Fri Oct 26 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3-3
- Fix macro usage

* Thu Oct 25 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3-2
- Add postun and redo post section to match
- Require hicolor-icons-theme
- Change category for desktop entry

* Tue Oct 23 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3-1
- Update to 0.3
- Fix license field
- Make desktop file a source file rather than inline it in the spec.

* Sun Jul  8 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.2-1
- Update to 0.2

* Sat Jun  9 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.1-1
- First version for Fedora Extras
